.. _displayapi:

Display
=======

FlaskBB exposes a handful of helpers for building dynamic content to be rendered
into templates.

Navigation
----------

.. module:: flaskbb.display.navigation

.. autoclass:: NavigationContentType
    :members:
    :undoc-members:

.. autoclass:: NavigationItem
.. autoclass:: NavigationLink
.. autoclass:: NavigationExternalLink
.. autoclass:: NavigationHeader
.. autoclass:: NavigationDivider
